mosoodocs

Thread ファイルコンテンツをダウンロード

準備ができた Thread 添付ファイルまたは Agent アーティファクトのバイトをダウンロードします。ファイルは、API token 呼び出し元に表示されるパブリック Thread に属している必要があります。

GET/files/{fileId}/content

準備ができた Thread 添付ファイルまたは Agent アーティファクトのバイトをダウンロードします。ファイルは、API token 呼び出し元に表示されるパブリック Thread に属している必要があります。

Authorization

publicApiBearer
AuthorizationBearer <token>

Authorization: Bearer mst_... を使用します。 API token はアカウントを識別しますが、スコープは持ちません。

In: header

Path Parameters

fileId*string

Thread ファイルの追加またはリストによって返されるファイル ID。 v1 ID はベア ULID です。

Match^[0-7][0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{25}$
Formatulid

Query Parameters

disposition?string

Content-Disposition 応答ヘッダーを制御します。ダウンロードには添付ファイルを使用し、プレビュー可能なコンテンツにはインラインを使用します。

Default"attachment"

Value in

  • "attachment"
  • "inline"

Response Body

application/octet-stream

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/files/01J0000000000000000000000J/content?disposition=attachment"
"string"
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}
{  "error": {    "code": "agent_not_published",    "message": "string"  }}